﻿using System;
using System.Windows;
using Windows.UI.Xaml;

namespace ButtonTest
{
    public sealed partial class App : Application
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="App" /> class.
        /// </summary>
        public App()
        {
            InitializeComponent();
            try
            {
                var mainPage = new MainPage();
                Window.Current.Content = mainPage;
                mainPage.Unloaded += new RoutedEventHandler(MainWindowUnloaded);
                Window.Current.Name = "Alerity";
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        /// <summary>
        /// Unloads the main window.
        /// </summary>
        /// <param name="sender">The sender.</param>
        /// <param name="e">The <see cref="System.Windows.RoutedEventArgs" /> instance containing the event data.</param>
        void MainWindowUnloaded(object sender, RoutedEventArgs e)
        {
            //TODO: CSHTML5 conversion
            //((MainPage)RootVisual).Unsubscribe();
        }
    }
}